<?php
	
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($level==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
	switch ($act) {
	default:
	echo "<title>Профиль</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	if($game==1 AND $ban==0)echo '<div class="razd"></div><div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=anketa"><b>Редактировать анкету</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=password"><b>Смена пароля</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=set"><b>Настройки</b></a></div><div class="razd"></div>';
	if($game==1 AND $ban==0)echo '<div class="blok1"><img src="../images/icon/menu.png" alt="" /> <a href="?act=shield"><b>Силовое поле</b></a></div><div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../exit.php"><b>Выход</b></a></div></center>';
	break;
	case 'shield':
	if($game==1){
			echo "<title>Силовое поле</title>";
			echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
			echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">"; 
		   	echo '<div class="blok3"><font style="font-family:Monotype Corsiva;"><h2>Силовое поле</h2></font></div>';
	if($marat==25){
		  	if(!$_POST)
	{

			echo '<div class="blok3">';
			echo '<form action="" method="POST">';
		    echo 'Силовое поле вы можете установить раз за всю игру по прошествию <font color="#4EEE94">[24]</font> часов с момента создания колонии, потом его изменить невозможно. Продумайте какое время вам наиболее подходит!<br/><br/>';
		    echo '</div>';
			echo '<center><div class="window">';
		    echo '<font color="#4EEE94"><b>Силовое поле не установлено</b></font>';
		    echo '</div></center>';
		    echo '<center><div class="window">';
			echo 'Установить время в пределах <font color="#4EEE94">[0-23]</font>:<br /><input type="text" value="0" name="mar" /><br/><input type="submit" name="submit" value="Изменить"/></form>';
			echo '</div></center>';
			
	}
	else
	{
		$mar = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['mar'])))))));
		$error = false;
			
		if ($mar > 23)
			$error = $error . 'Нельзя установить силовое поле больше 23:00!<br />';
		elseif ($mar < 0)
			$error = $error . 'Нельзя установить силовое меньше 00:00!<br />';
		elseif ($realtime<($newtime+86400))
			$error = $error . 'Вы можете установить силовое поле только по прошествию <font color="#4EEE94">24</font> часов с момента создания колонии.<br/>Повторите попытку <font color="#4EEE94">['. dates($newtime+86400) .']</font><br />';
		elseif (preg_match('/[^\da-zA-Z_]+/',$mar))
			$error = $error . 'Недопустимые символы!<br />';

		
	 
	  		if (empty($error))
		{

			mysql_query("UPDATE `users` SET
			            `marat`='".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($mar)))))))."' WHERE `id`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))) . "';");

            echo 'Теперь силовое поле будет начинаться в '.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($mar))))))).' часов!<br/>';

		}
		else
		{
		echo '<div class="blok3"><b>'.$error.'</b></div>';
		}
	}


	}else{
	

    echo 'Силовое поле бесплатно вы можете установить раз за всю игру, потом его можно изменить только за SC. Продумайте какое время вам наиболее подходит!<br/>';
	echo 'Силовое поле начинается в <b>'.$marat.'</b> часов<br/>';
}}

	echo '<div class="blok"><a href="profile.php"><b>Назад</b></a></div>';
	break;
		  case 'password':
		  echo "<title>Смена пароля</title>"; 
			echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
			echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		   echo '<div class="blok3"><font style="font-family:Monotype Corsiva;"><h2>Смена пароля</h2></font></div>';
  if(!$_POST)
	{
		echo '<center><div class="window">';
  		echo "<form action=\"?act=password\" method=\"POST\">Новый пароль:<br/><font color=\"#FF0000\">(Введите минимум 5 букв или символов)</font><br/><input type=\"password\" name=\"password\" style=\"width:110px;\" /><br/>Повторите пароль:<br/><font color=\"#FF0000\">(Введите минимум 5 букв или символов)</font><br/><input type=\"password\" name=\"password2\" style=\"width:110px;\" /><br/><font color=\"#FFFFFF\">Защитный код</font><br/><br/><img src=\"../../captcha.php\" id=\"captcha\" alt=\"Защитный код\" /> <br/><br/><input name=\"code\" type=\"text\" style=\"width:110px;\"> <br/><br/><img src=\"/images/icon/strelka.png\" width=\"40px\" onclick=\"document.getElementById('captcha').src = '../../captcha.php?' + Math.random()\" /> <br /><input type=\"submit\" name=\"submit\" value=\"Сменить\"/></form>";
		echo "</div></center>";
			}
	else
	{

		$password = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['password'])))))));
		$password2 = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['password2'])))))));

$error = false;
if( trim($_POST['password']) =='')

{
  
    $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Новый пароль</b></ins></font><br/>';
    
}
  
if(!empty($_POST['password']) && (mb_strlen($_POST['password']) > 20 || mb_strlen($_POST['password']) < 5 || mb_strlen($_POST['password']) > 20))
    
{
  
   $error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Новый пароль</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}
  
if(!empty($_POST['password']) && (preg_match('/[^a-zA-Z0-9]+/s',$_POST['password'])))

{
    
   $error = $error. 'Поле: <font color="#4EEE94"><b>Новый пароль</b></font> содержит запрещенные символы<br/>';

}

if( trim($_POST['password2']) =='')

{
  
    $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Повторите пароль</b></ins></font><br/>';
    
}
  
if(!empty($_POST['password2']) && (mb_strlen($_POST['password2']) > 20 || mb_strlen($_POST['password2']) < 5 || mb_strlen($_POST['password2']) > 20))
    
{
  
   $error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Повторный пароль</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}
  
if(!empty($_POST['password2']) && (preg_match('/[^a-zA-Z0-9]+/s',$_POST['password2'])))

{
    
   $error = $error. 'Поле: <font color="#4EEE94"><b>Повторный пароль</b></font> содержит запрещенные символы<br/>';

}

if($_POST['password'] != $_POST['password2']) 

{
    
   $error = $error. 'Поля: <font color="#4EEE94"><b>Новый пароль</b></font> и <font color="#4EEE94"><b>Повторите пароль</b></font> не совпадают<br/>';

}

if( trim($_POST['code']) =='')

{

  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Защитный код</b></ins></font><br/>';

}
  
if(trim($_SESSION['code'] != $_POST['code']))
  
{
  
  $error = $error. 'В поле: <font color="#4EEE94"><ins><b>Защитный код</b></ins></font> введены неккоректные данные<br/>';
  
}

			if (empty($error))
		{
		
		
			mysql_query("UPDATE `users` SET
			`password`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(md5(sha1(sha1(md5(md5(sha1($password)))))))))))) . "' WHERE `id`='".$use_id."';");
			div('Ваш новый пароль <font color="#4EEE94"><b>['.$password.']</b></font>.<br/><font color="#FF0000">Запишите его и храните в надежном месте!</font>','blok3');
		}
		else
		{
			echo '<div class="blok3"><b>' . $error . '</b></div>';
		}
	}
		echo '<div class="blok"><a href="profile.php"><b>Назад</b></a></div>';
  break;
  case 'set':
  	echo "<title>Настройки</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
  	div('<font style="font-family:Monotype Corsiva;"><h2>Настройки</h2></font>','blok3');
  if(!$_POST)
	{
	echo '<center><div class="window">';
	echo '<form action="?act=set" method="post">';
		echo 'Выберите дизайн:<br /><select name="diz"><option value="1">Стандартный</option><option value="2">Коричневый</option><option value="3">Светлый</option><option value="4">Люди</option><option value="5">Киборги</option><option value="6">Органики</option></select><br/>';
		echo '<input type="checkbox" value="1" name="logo" /> Логотип<br />';
		echo 'Элементов на странице: (5-20)<br/><input type="text" value="'.$elem.'" name="enum" /><input type="submit" name="submit" value="Сохранить настройки"/></form>';
		echo '</div></center>';
			}
	else
	{
		$enum = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['enum'])))))));
		$diz = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['diz'])))))));
		$logo = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['logo'])))))));
$error = false;

if (empty($enum))

{

		$error = $error . 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Элементы</b></ins></font><br/>';

}

elseif ($enum < 5 or $enum > 20)

{

		$error = $error . 'Недопустимое количество введенных данных в поле: <font color="#4EEE94"><ins><b>Элементы</b></ins></font><br/>';

}

elseif (preg_match('/[^a-zA-Z\d_]+/',$enum))

{

		$error = $error . 'Поле: <font color="#4EEE94"><b>Элементы</b></font> содержит запрещенные символы<br/>';

}

if ( $diz > 6 OR $diz < 1)

{
	
		$error = $error . 'Такого дизайна не существует!<br />';

}

if ( $logo > 1 OR $logo < 0)

{

		$error = $error . 'Ошибка при выборе логотипа<br />';

}

if (empty($error))

		{
		
		
			mysql_query("UPDATE `users` SET
			`elem`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(mysql_real_escape_string(trim($enum))))))) . "',
			`diz`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($diz)))))) . "',
			`logo`='" . htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($logo)))))) . "' WHERE `id`='".$use_id."';");

			header('Location: profile.php?act=set');

				}
				else
				{
					echo '<div class="blok"><b>' . $error. '</b></div>';
				}
			}
			echo '<div class="blok"><a href="profile.php"><b>Назад</b></a></div>';
		  break;
		  case 'unshield':
		  if($tmarat>$realtime){
		  	echo "<title>Отключение силового поля</title>"; 
			echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
			echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
			echo '<div class="razd"></div>';
		  	echo '<div class="top-nav1"><b>Силовое поле</b></div>';
		  	echo '<div class="razd"></div><center><div class="window">';
;
		$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверенны что хотите выключить силовое поле?<br/>';
							echo '<a href="?act=unshield&amp;o=1"><font color="#4EEE94"><b>Да</b></font></a> или <a href="../index.php"><font color="#4EEE94"><b>Отмена</b></font></a></div></center>';
							}else{
		mysql_query("UPDATE `users` SET `tmarat`='".$realtime."' WHERE `id` = '".$use_id."'");
		header("Location: ../index.php");
}
							
  echo '<div class="razd"></div><div class="blok"><a href="profile.php"><b>Назад</b></a></div>';}
  break;
  case 'anketa':
  	echo "<title>Редактировать анкету</title>"; 
	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
  	div('<font style="font-family:Monotype Corsiva;"><h2>Редактировать анкету</h2></font>','blok3');
  if(!$_POST)
	{
			echo '<center><div class="window">';
			echo '<form action="" method="POST">';
			echo '<center><b>Дата рождения</b><br/><input type="date" name="date" list="dateList"><br/>Город:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="town" /><br/>Статус:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br /><input type="text" value="" name="status" /><br />О себе:<br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br /><input type="text" value="" name="about" /><br />';echo '<input type="submit" name="submit" value="Изменить"/></center></form>';
			echo '</div></center>';
			
			
	}
	else
	{
			$name = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['name'])))))));
			$date = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['date'])))))));
			$town = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['town'])))))));
			$status = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['status'])))))));
			$about = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['about'])))))));
		
$error = false;
if( trim($_POST['date']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Дата рождения</b></ins></font><br/>';
    
}

if(!empty($_POST['date']) && (mb_strlen($_POST['date']) > 10 || mb_strlen($_POST['date']) < 10 || mb_strlen($_POST['date']) > 10))

{

	$error = $error. 'Заполните поле: <font color="#4EEE94"><ins><b>Дата рождения</b></ins></font>полностью. Пример: <font color="#4EEE94"><ins><b>00:00:0000</b></ins></font><br/>';
  
}
  
if( trim($_POST['town']) =='')

{
  
    $error = $error. 'Введите информацию в поле: <font color="#4EEE94"><ins><b>Город</b></ins></font><br/>';
    
}
  
if(!empty($_POST['town']) && (mb_strlen($_POST['town']) > 30 || mb_strlen($_POST['town']) < 5 || mb_strlen($_POST['town']) > 30))
    
{
  
   $error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Город</b></ins></font>  минимум <font color="#4EEE94">[5]</font> символов или букв<br/>';
  
}
  
if(!empty($_POST['town']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['town'])))

{
    
   $error = $error. 'Поле: <font color="#4EEE94"><ins><b>Город</b></ins></font> содержит запрещенные символы<br/>';

}

if( trim($_POST['status']) =='')

{
  
  $error = $error. 'Введите информацию в поле: <font color="#4EEE94"><ins><b>Статус</b></ins></font><br/>';
    
}

if(!empty($_POST['status']) && (mb_strlen($_POST['status']) > 50 || mb_strlen($_POST['status']) < 5 || mb_strlen($_POST['status']) > 50))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Статус</b></ins></font>  минимум <font color="#4EEE94">[5]</font> букв или символов<br/>';
  
}

if(!empty($_POST['status']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['status'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><ins><b>Статус</b></ins></font> содержит запрещенные символы<br/>';
    
}

if( trim($_POST['about']) =='')

{
  
    $error = $error. 'Введите информацию в поле: <font color="#4EEE94"><ins><b>О себе</b></ins></font><br/>';
    
}
  
if(!empty($_POST['about']) && (mb_strlen($_POST['about']) > 100 || mb_strlen($_POST['about']) < 5 || mb_strlen($_POST['about']) > 100))
    
{
  
   $error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>О себе</b></ins></font>  минимум 5 символов или букв<br/>';
  
}
  
if(!empty($_POST['about']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['about'])))

{
    
   $error = $error. 'Поле: <font color="#4EEE94"><ins><b>О себе</b></ins></font> содержит запрещенные символы<br/>';

}
		
if (empty($error))

		{

	
			mysql_query("UPDATE `users` SET
			`date`='".htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($date))))))."',
			`town`='".htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($town))))))."',
			`status`='".htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($status))))))."',
			`about`='".htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($about))))))."' WHERE `id`='".htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))."';");
			echo '<center><div class="window"><b>Личная информация в анкете обновлена!</b></div></center>';	

		}
		else
		{
				echo '<div class="blok3"><b>'.$error.'</b></div>';
				}
	}
	
	echo '<div class="blok"><a href="profile.php"><b>Назад</b></a></center></div>';

  }
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>